/*
   Helps convert TCXL 5.52 documentation into
   norton guide format. Some manual editing is
   also required.

   Syntax:  NGTCXL infile outfile

   where infile is tcxldoc.txt

   If you compile with BC++, there will be one
   warning which can be ignored.
*/

#include <stdio.h>
#include <string.h>
#include "cxlstr.h"
/* include "TCXLstr.h" */

FILE   *rp, *wp;
char   line[20][100];
char   in[25];
char   out[25];


int  main(argc, argv)
int     argc;
char    *argv[];
{
  if(argc<2) { puts("ngtcxl infile outfile"); return(-1); }
  strcpy(in, argv[1]);
  strcpy(out, argv[2]);
  make_demo();
  return(1);
}

make_demo()
{
char    str[100], s[100], r[100], t[100];
char    ch;

   wp=fopen(out, "w");
   rp=fopen(in, "r");
   while(fgets(str, 100, rp) != NULL)
     {  strcpy(s, str);
        s[8]='\0';
        if(strcmp(s, "Synopsis") ==0)
           {  strcpy(s, str);
              remsub(s, 1, 16);
              if(s[strlen(s)-2] == '.')
                    s[strlen(s)-2]='\0';
              else s[strlen(s)-1]='\0';
              strcpy(t, "\n\n\n\n!Short: ");
              strcpy(r, "   ^b");
              strcat(t, line[0]);
              strcat(r, line[0]);
              t[strlen(t)-1]='\0';
              r[strlen(r)-1]='\0';
              strcat(t, "                    ");
              strcat(r, "   ");
              t[25]='\0';
              strcat(t, s);
              strcat(r, s);
              strcat(r, "\n");
              strcat(t, "\n");
              strcpy(line[0], r);
              strcpy(line[1], t);
           }
        else
           {  if(str[0]=='\n') continue;
              ch = *strinc("TesSeRact CXL V5.52 Documentation", str);
              if(ch != NULL)
                  continue;
           }

        line_buf(str);
     }
   line_buf("done");
   fcloseall();
   return(1);
}

int line_buf(char *str)
{
int    c;

   if(strcmp(str, "done") == 0)
       { for(c=19; c<=0; c--)
         fprintf(wp, "%s", line[c]);
         return(2);
       }

      if(line[19][0] != '\0')
           fprintf(wp, "%s", line[19]);
       for(c=18; c>=0; c--)
            strcpy(line[c+1], line[c]);
       strcpy(line[0], str);
       return(1);
}

remsub(char string[],int loc, int num)
{
int length;
int index1;
int index2;

   loc = loc -1;
   length = strlen(string);
   if(loc >= length || loc <0)
     return(-1);
   if (loc + num <=length)
     index2 = loc + num;
   else index2 = length;
   for (index1=loc;string[index1] = string[index2];index1++)
     index2++;
   return(0);
}


